v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/sites/{siteId}/resupply/manual
Initiates manual resupply to a site. Rights: OrsSupplyManagerPost and OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
siteId(required): string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : schema
Type:
objectContains details of manual resupply request to site.
Show Source
-
jobInstanceId: string
Title:
Job Instance IDJob instance ID.Example:4FEBE3E166454E2687C6FAC306E7C86E -
reason: string
Reason to request manual resupply to site.Example:
Some reason.
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object ResupplyResponse
Title:
ResupplyResponseResponse object containing resupply details.
Nested Schema : ResupplyResponse
Type:
objectTitle:
ResupplyResponseResponse object containing resupply details.
Show Source
-
orderId: string
(uuid)
Order ID.
-
status: string
Allowed Values:
[ "PENDING", "INTRANSIT", "RECEIVED", "CANCELLED", "LOST", "CONFIRMED", "INVALID", "PENDING_DESTRUCTION", "RECEIVED_FOR_DESTRUCTION", "DESTROYED" ]Order status.Example:DESTROYED
Examples
400 Response
Manual shipment is not allowed for this study
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid site ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples